# QDialogButtonBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QDialogButtonBox(StandardButtons buttons, Orientation orientation, QWidget parent)
- void QDialogButtonBox(QWidget parent)
- void QDialogButtonBox(Orientation orientation, QWidget parent)

### Constructor Properties

- prototype: The QDialogButtonBox prototype object
- WinLayout
- MacLayout
- KdeLayout
- GnomeLayout
- ButtonLayout( value )
- InvalidRole = -1
- AcceptRole
- RejectRole
- DestructiveRole
- ActionRole
- HelpRole
- YesRole
- NoRole
- ResetRole
- ApplyRole
- NRoles
- ButtonRole( value )
- NoButton = 0x00000000
- Ok = 0x00000400
- Save = 0x00000800
- SaveAll = 0x00001000
- Open = 0x00002000
- Yes = 0x00004000
- YesToAll = 0x00008000
- No = 0x00010000
- NoToAll = 0x00020000
- Abort = 0x00040000
- Retry = 0x00080000
- Ignore = 0x00100000
- Close = 0x00200000
- Cancel = 0x00400000
- Discard = 0x00800000
- Help = 0x01000000
- Apply = 0x02000000
- Reset = 0x04000000
- RestoreDefaults = 0x08000000
- StandardButton( value )
- StandardButtons( value1, value2, ... )

### Prototype Object Properties

The QDialogButtonBox prototype object inherits properties from the QWidget prototype object and also has the following properties.

- void addButton(QAbstractButton button, ButtonRole role)
- QPushButton button(StandardButton which)
- ButtonRole buttonRole(QAbstractButton button)
- List buttons()
- void clear()
- void removeButton(QAbstractButton button)
- StandardButton standardButton(QAbstractButton button)

### Instance Properties

QDialogButtonBox objects inherit properties from the QDialogButtonBox prototype object and also have the following properties.

- orientation
- standardButtons
- centerButtons